Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.transport
Class TransportBase

    java.lang.Object
      org.uddi4j.transport.TransportBase

All Implemented Interfaces:
  Transport

Direct Known Subclasses:
  ApacheAxisTransport, ApacheSOAPTransport

public abstract class TransportBase
extends java.lang.Object
implements Transport

Partial implementation of Transport interface. This class provides a default implementation of the send UDDIElement method. This converts the UDDIElement to a DOM element and invokes the send DOM Element method. In the future, if the data representation is not DOM based, transports will need to implement their own send UDDIElement methods.

Author:
  David Melgar (dmelgar@us.ibm.com)

Constructor Summary
`TransportBase()`

Method Summary
`protected java.util.Properties` | `getConfiguration()`
`boolean` | `logEnabled()`
`org.w3c.dom.Element` | `send(UDDIElement el, java.net.URL url)` Sends a UDDIElement to URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.uddi4j.transport.Transport
`send`

Constructor Detail

### TransportBase

    public TransportBase()

Method Detail

### send

    public org.w3c.dom.Element send(UDDIElement el,
                                    java.net.URL url)
                             throws TransportException

  Sends a UDDIElement to URL.

  Specified by:
    `send` in interface `Transport`
  Parameters:
    `el` - UDDIElement to send
    `url` - Destination URL
  Returns:
    An element representing a XML DOM tree containing the UDDI response.
  Throws:
    `TransportException` - Thrown if a problem occurs during transmission

### logEnabled

    public boolean logEnabled()

### getConfiguration

    protected java.util.Properties getConfiguration()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.